Index: components/artifactView/html/view.html
===================================================================
--- components/artifactView/html/view.html	(revision 9404)
+++ components/artifactView/html/view.html	(working copy)
@@ -97,8 +97,13 @@
 	                            <div class="flc-navigationList-linkContainer">
 	                                <a class="flc-navigationList-link">
 	                                    <img class="flc-navigationList-image fl-icon" src="../../../../fluid-engage-core/components/artifactView/images/video_icon.png"/>
-	                                    <span class="flc-navigationList-titleText fl-navigationList-title">title/category</span>
-	                                    <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">description</span>
+	                                    <img class="flc-navigationList-badge-icon fl-engage-badge-icon"
+	                                        src="../../../../fluid-engage-core/shared/images/media-badge.png" 
+	                                        alt="This artifact includes media" />
+	                                    <div>
+		                                    <span class="flc-navigationList-titleText fl-navigationList-title">title/category</span>
+		                                    <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">description</span>
+		                                </div>
 	                                </a>
 	                            </div>
 	                       </li>
Index: components/browse/css/Browse.css
===================================================================
--- components/browse/css/Browse.css	(revision 9404)
+++ components/browse/css/Browse.css	(working copy)
@@ -22,18 +22,6 @@
     border-bottom-left-radius:  0px;
 }
 
-.fl-list-thumbnails > li:last-child {
-    margin-bottom: 0px;
-}
-
-.fl-browse-shortenText {
-    overflow:hidden;
-    text-overflow:ellipsis;
-    white-space:nowrap;
-    height: 1.2em;
-    display: block;
-}
-
 .fl-browse-loading .fl-browse-loadMessage {
     display: block;
     text-align:center;
Index: components/browse/html/browse.html
===================================================================
--- components/browse/html/browse.html	(revision 9404)
+++ components/browse/html/browse.html	(working copy)
@@ -90,8 +90,10 @@
                                     <img class="flc-navigationList-badge-icon fl-engage-badge-icon"
                                          src="../../../../fluid-engage-core/shared/images/media-badge.png" 
                                          alt="This artifact includes media" />
-                                    <span class="flc-navigationList-titleText fl-navigationList-title">title/category</span>
-                                    <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">description</span>
+                                    <div>
+	                                    <span class="flc-navigationList-titleText fl-navigationList-title">title/category</span>
+	                                    <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">description</span>
+	                                </div>
                                 </a>
                             </div>
                        </li>
Index: components/catalogue/css/Catalogue.css
===================================================================
--- components/catalogue/css/Catalogue.css	(revision 9404)
+++ components/catalogue/css/Catalogue.css	(working copy)
@@ -25,10 +25,6 @@
     margin: 0px;
 }
 
-.fl-list-thumbnails > li:last-child {
-    margin-bottom: 0px;
-}
-
 .fl-list-menu.fl-list-thumbnails.fl-thumbnails-expanded.fl-grid {
     background-color: white;
 }
@@ -57,12 +53,4 @@
 
 [class*=fl-list] li.fl-catalogue-linkToThemeArtifactsContainer a.fl-catalogue-linkToThemeArtifacts {
     font-size: 0.7em;
-}
-[class*=fl-list] li a div {
-    padding-right: 20px;
-    overflow:hidden;
-    text-overflow:ellipsis;
-    white-space:nowrap;
-    width: auto;
-    height: 42px;
-}
+}
\ No newline at end of file
Index: components/catalogue/html/view.html
===================================================================
--- components/catalogue/html/view.html	(revision 9404)
+++ components/catalogue/html/view.html	(working copy)
@@ -78,8 +78,10 @@
                                 <img class="flc-navigationList-badge-icon fl-engage-badge-icon"
                                          src="../../../../fluid-engage-core/shared/images/media-badge.png" 
                                          alt="This artifact includes media" />
-                                <div class="flc-navigationList-titleText fl-navigationList-title">Title</div>
-                                <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">Introduction</span>
+                                <div>
+                                    <span class="flc-navigationList-titleText fl-navigationList-title">Title</span>
+                                    <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">Introduction</span>
+                                </div>                                
                             </a>
                         </div>
                     </li>
Index: components/navigationList/css/NavigationList.css
===================================================================
--- components/navigationList/css/NavigationList.css	(revision 9404)
+++ components/navigationList/css/NavigationList.css	(working copy)
@@ -3,14 +3,25 @@
     border-bottom: none;
 }
 
+.fl-list-thumbnails > li:last-child {
+    margin-bottom: 0px;
+}
+
+.fl-list > li {
+    border-left: none;
+    border-right: none;
+}
+
 .fl-theme-iphone .fl-list a {
     color: rgb(0, 0, 0);
     font-size: 0.7em;
+    padding-bottom: 0;
 }
 
 .fl-theme-iphone [class*="fl-list"] > li .fl-link-summary {
     color: rgb(0, 0, 0);
     font-size: 1em;
+    margin: 0;
 }
 
 .fl-list-thumbnails.fl-thumbnails-expanded.fl-grid li {
@@ -50,4 +61,16 @@
     margin: 0;
     right: 5px;
     bottom: 10px;
+}
+
+[class*=fl-list] li a div {
+    height: 42px;
+}
+
+[class*=fl-list] li a div span {
+    display: block;
+    overflow:hidden;
+    text-overflow:ellipsis;
+    white-space:nowrap;
+    width: auto;
 }
\ No newline at end of file
Index: components/navigationList/html/NavigationList.html
===================================================================
--- components/navigationList/html/NavigationList.html	(revision 9404)
+++ components/navigationList/html/NavigationList.html	(working copy)
@@ -35,11 +35,13 @@
                     <div class="flc-navigationList-linkContainer">
                         <a class="flc-navigationList-link fl-engage-badged-thumbnail">
                             <img class="flc-navigationList-image fl-icon"/>
-                            <span class="flc-navigationList-titleText fl-navigationList-title">title/category</span>
-                            <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">description</span>
                             <img class="flc-navigationList-badge-icon fl-engage-badge-icon"
-                                      src="../../../../fluid-engage-core/shared/images/media-badge.png" 
-                                         alt="This artifact includes media" />
+                                src="../../../../fluid-engage-core/shared/images/media-badge.png" 
+                                alt="This artifact includes media" />
+                            <div>
+	                            <span class="flc-navigationList-titleText fl-navigationList-title">title/category</span>
+	                            <span class="flc-navigationList-descriptionText fl-link-summary fl-navigationList-description">description</span>
+	                        </div>
                         </a>
                     </div>
                 </li>
